searchNodes=[{"ref":"Membrane.Element.FFmpeg.SWResample.Converter.html","title":"Membrane.Element.FFmpeg.SWResample.Converter","type":"module","doc":"This element performs audio conversion/resampling/channel mixing, using SWResample module of FFmpeg library. Element options Passed via struct Membrane.Element.FFmpeg.SWResample.Converter.t/0 input_caps Default value: nil Caps for the input pad. If set to nil (default value), caps are assumed to be received through the pad. If explicitly set to some caps, they cannot be changed by caps received through the pad. output_caps Required Audio caps for souce pad (output) frames_per_buffer Default value: 2048 Assumed number of raw audio frames in each buffer. Used when converting demand from buffers into bytes. Pads :input Availability:always Bin?false CapsMembrane.Caps.Audio.Raw, restrictions:&nbsp;&nbsp;format: one_of([:u8, :s16le, :s32le, :f32le, :f64le]),&nbsp;&nbsp;channels: one_of([1, 2]),Membrane.Caps.Audio.Raw, restrictions:&nbsp;&nbsp;format: :s24le,&nbsp;&nbsp;channels: one_of([1, 2]) Demand&nbsp;unit:bytes Direction:input Mode:pull Name:input :output Availability:always Bin?false CapsMembrane.Caps.Audio.Raw, restrictions:&nbsp;&nbsp;format: one_of([:u8, :s16le, :s32le, :f32le, :f64le]),&nbsp;&nbsp;channels: one_of([1, 2]) Direction:output Mode:pull Name:output"},{"ref":"Membrane.Element.FFmpeg.SWResample.Converter.html#membrane_pads/0","title":"Membrane.Element.FFmpeg.SWResample.Converter.membrane_pads/0","type":"function","doc":"Returns pads descriptions for Membrane.Element.FFmpeg.SWResample.Converter"},{"ref":"Membrane.Element.FFmpeg.SWResample.Converter.html#options/0","title":"Membrane.Element.FFmpeg.SWResample.Converter.options/0","type":"function","doc":"Returns description of options available for this module"},{"ref":"Membrane.Element.FFmpeg.SWResample.Converter.html#t:t/0","title":"Membrane.Element.FFmpeg.SWResample.Converter.t/0","type":"type","doc":"Struct containing options for Membrane.Element.FFmpeg.SWResample.Converter"},{"ref":"Membrane.Element.FFmpeg.SWResample.Converter.Native.html","title":"Membrane.Element.FFmpeg.SWResample.Converter.Native","type":"module","doc":"This module provides nativly implemented converter utilizing library swresample"},{"ref":"Membrane.Element.FFmpeg.SWResample.Converter.Native.html#convert/2","title":"Membrane.Element.FFmpeg.SWResample.Converter.Native.convert/2","type":"function","doc":""},{"ref":"Membrane.Element.FFmpeg.SWResample.Converter.Native.html#create/6","title":"Membrane.Element.FFmpeg.SWResample.Converter.Native.create/6","type":"function","doc":""},{"ref":"readme.html","title":"Membrane.Element.FFmpeg.SWResample","type":"extras","doc":"Membrane.Element.FFmpeg.SWResample Element of Membrane Multimedia Framework performing audio conversion, resampling and channel mixing, using SWResample module of FFmpeg library. Documentation is available at HexDocs"},{"ref":"readme.html#installation","title":"Membrane.Element.FFmpeg.SWResample - Installation","type":"extras","doc":"Add the following line to your deps in mix.exs. Run mix deps.get. {:membrane_element_ffmpeg_swresample, &quot;~&gt; 0.3.0&quot;} You also need to have FFmpeg library installed. For usage on windows, see Using on Windows section below."},{"ref":"readme.html#sample-usage","title":"Membrane.Element.FFmpeg.SWResample - Sample usage","type":"extras","doc":"defmodule Resampling.Pipeline do use Membrane.Pipeline alias Pipeline.Spec alias Membrane.Element.File alias Membrane.Element.FFmpeg.SWResample.Converter alias Membrane.Caps.Audio.Raw @doc false @impl true def handle_init(_) do children = [ file_src: %File.Source{location: &quot;/tmp/some_samples.raw&quot;}, converter: %Converter{ input_caps: %Raw{channels: 2, format: :s24le, sample_rate: 48_000}, output_caps: %Raw{channels: 2, format: :f32le, sample_rate: 44_100} }, file_sink: %File.Sink{location: &quot;/tmp/out.raw&quot;}, ] links = %{ {:file_src, :output} =&gt; {:converter, :input}, {:converter, :output} =&gt; {:file_sink, :input} } {{:ok, %Spec{children: children, links: links}}, %{}} end end"},{"ref":"readme.html#using-on-windows","title":"Membrane.Element.FFmpeg.SWResample - Using on Windows","type":"extras","doc":"It is possible to compile and use this element on Windows platform. That requires: Git-LFS to clone binaries placed in ext/windows directory Visual C++ Build Tools with Windows SDK (tested on build tools 2015 and SDK for Windows 10) FFMpeg 3.4.2 DLLs - avutil-55.dll and swresample-2.dll (64-bit version abvailable here, 32-bit here). The DLLs have to be available at runtime. This can be achieved in a couple of ways: adding directory with DLLs to PATH environment variable placing them in current directory (where you start mix run) placing them in the directory where erlang executable is located making them available system-wide by placing in system (C:\\Windows\\System32, C:\\Windows\\SysWOW64) or Windows (C:\\Windows) directory"},{"ref":"readme.html#copyright-and-license","title":"Membrane.Element.FFmpeg.SWResample - Copyright and License","type":"extras","doc":"Copyright 2018, Software Mansion Licensed under the Apache License, Version 2.0"}]